## dtlssrtpenc dtlssrtpenc |

## Properties

gboolean | is-client | Read / Write

## Signals

void | on-key-set | Run Last

## Types and Values

struct | GstDtlsSrtpEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstDtlsSrtpBin
                            ╰── GstDtlsSrtpEnc

## Implemented Interfaces

GstDtlsSrtpEnc implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | dtls
author | Patrik Oldsberg patrik.oldsberg@ericsson.com
class | Encoder/Network/DTLS/SRTP

### Element Pads

name | data_sink
direction | sink
presence | request
details | ANY

name | rtcp_sink_%d
direction | sink
presence | request
details | application/x-rtp
| application/x-rtcp

name | rtp_sink_%d
direction | sink
presence | request
details | application/x-rtp
| application/x-rtcp

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstDtlsSrtpEnc

    struct GstDtlsSrtpEnc;

## Property Details

### The `“is-client”` property

      “is-client”                gboolean

Set to true if the decoder should act as client and initiate the handshake.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“on-key-set”` signal

    void
    user_function (GstDtlsSrtpEnc *gstdtlssrtpenc,
                   gpointer        user_data)

Flags: Run Last